Tag Parser: MediaFileInfoTests Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MediaFileInfoTests Class Reference

The MediaFileInfoTests tests convenience methods provided by TagParser::MediaFileInfo. More...

Inheritance diagram for MediaFileInfoTests:
[legend]
Collaboration diagram for MediaFileInfoTests:
[legend]

## Public Member Functions
void | setUp () override
void | tearDown () override
void | testInitialStatus ()
void | testFileSystemMethods ()
void | testParsingUnsupportedFile ()
void | testPartialParsingAndTagCreationOfMp4File ()
void | testFullParseAndFurtherProperties ()

## Detailed Description

The MediaFileInfoTests tests convenience methods provided by TagParser::MediaFileInfo.

Remarks
  It only tests parsing a simple Mkv/Mp4. Parsing different formats with different settings is tested in OverallTests.

Definition at line 26 of file mediafileinfo.cpp.

## Member Function Documentation

## ◆ setUp()

void MediaFileInfoTests::setUp | ( |  | ) |
| override

Definition at line 48 of file mediafileinfo.cpp.

## ◆ tearDown()

void MediaFileInfoTests::tearDown | ( |  | ) |
| override

Definition at line 52 of file mediafileinfo.cpp.

## ◆ testFileSystemMethods()

void MediaFileInfoTests::testFileSystemMethods | ( |  | ) |

Definition at line 71 of file mediafileinfo.cpp.

## ◆ testFullParseAndFurtherProperties()

void MediaFileInfoTests::testFullParseAndFurtherProperties | ( |  | ) |

Definition at line 148 of file mediafileinfo.cpp.

## ◆ testInitialStatus()

void MediaFileInfoTests::testInitialStatus | ( |  | ) |

Definition at line 56 of file mediafileinfo.cpp.

## ◆ testParsingUnsupportedFile()

void MediaFileInfoTests::testParsingUnsupportedFile | ( |  | ) |

Definition at line 87 of file mediafileinfo.cpp.

## ◆ testPartialParsingAndTagCreationOfMp4File()

void MediaFileInfoTests::testPartialParsingAndTagCreationOfMp4File | ( |  | ) |

Definition at line 103 of file mediafileinfo.cpp.

The documentation for this class was generated from the following file:

- tests/mediafileinfo.cpp